HomeScreensavers Planet  »  Help  »  Message Board  »  app

app

my mac can not be applied for screen saver for this reason, it asks for a newer version

Linked pages

maria cruz8 months agoMac OS X 10.6.8, Google Chrome


1 reply

  • Hello Maria,

    It's probably the other way around. Your Mac is running Mac OS X 10.6.8, also known as Snow Leopard. The Fliqlo screensaver may be too new for that operating system.

    Please try downloading an older version like 1.4 or 1.5.2. One of those should work.

    I'm afraid I don't have an older version of the Apple Watch screensaver.

    Hope that helps. Let me know if you have any further questions.

    Rob (Screensavers Planet)8 months ago

Post a reply

Lock This post was automatically locked to new replies after 30 days of inactivity.

Please start a new post on the message board if you need our help.